summaryrefslogtreecommitdiffstats
path: root/client
diff options
context:
space:
mode:
authoririna <irinagomez@us.es>2015-12-09 13:47:13 +0000
committeririna <irinagomez@us.es>2015-12-09 13:47:13 +0000
commit79a417549b502d8383e1fa66702077d374df570e (patch)
treea1c307e08af9b6d7e98aaefa63c21a745673a5ac /client
parentcead9e314663cd4f877f17c3b868d2b67bfa3f80 (diff)
#678 Unidades organizativas: script e interfaz crear imagen permite directorios separados en el repositorio para distintas OU
git-svn-id: https://opengnsys.es/svn/branches/version1.1@4754 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'client')
-rwxr-xr-xclient/shared/scripts/createImage7
1 files changed, 5 insertions, 2 deletions
diff --git a/client/shared/scripts/createImage b/client/shared/scripts/createImage
index eabe5f11..4f41f55b 100755
--- a/client/shared/scripts/createImage
+++ b/client/shared/scripts/createImage
@@ -26,7 +26,7 @@
#@version 1.0.1 - Control de espacio requerido
#@author Antonio J.Doblas Viso
#@date 2011-05-10
- #@version 1.0.2 - Separacion de log
+#@version 1.0.2 - Separacion de log
#@author Antonio J.Doblas Viso
#@date 2011-08-4
#*/ ##
@@ -57,6 +57,9 @@ IMGEXT=${IMGEXT:-"img"}
#IMGREDUCE="TRUE"
REPO="${3^^}"
+# Unidad organizativa
+[ "$ogunit" != "" ] && OGUNIT="$ogunit"
+
# Clear temporary file used as log track by httpdlog
# Limpia los ficheros temporales usados como log de seguimiento para httpdlog
echo " " > $OGLOGSESSION; echo " " > $OGLOGCOMMAND; echo " " > ${OGLOGCOMMAND}.tmp
@@ -69,7 +72,7 @@ ogEcho log session "[1] $MSG_SCRIPTS_START $0 $*"
ogCheckIpAddress $REPO
if [ $? == 0 -o $REPO == "REPO" ] ; then
# Si falla el cambio -> salimos con error repositorio no valido
- ogChangeRepo $REPO || exit $(ogRaiseError $OG_ERR_NOTFOUND '$REPO'; echo $?)
+ ogChangeRepo $REPO $OGUNIT || exit $(ogRaiseError $OG_ERR_NOTFOUND '$REPO'; echo $?)
REPO="REPO"
fi